org.apache.ignite.internal.processors.cache.extras

## Class GridCacheMvccEntryExtras

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.extras.GridCacheEntryExtrasAdapter
  - - org.apache.ignite.internal.processors.cache.extras.GridCacheMvccEntryExtras

All Implemented Interfaces:
  GridCacheEntryExtras

    public class GridCacheMvccEntryExtras
    extends GridCacheEntryExtrasAdapter

Extras where MVCC is set.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheMvccEntryExtras(GridCacheMvcc mvcc)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`GridCacheMvcc` `mvcc()`
`GridCacheEntryExtras` `mvcc(GridCacheMvcc mvcc)`
`GridCacheEntryExtras` `obsoleteVersion(GridCacheVersion obsoleteVer)`
`int` `size()`
`String` `toString()`
`GridCacheEntryExtras` `ttlAndExpireTime(long ttl, long expireTime)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.extras.GridCacheEntryExtrasAdapter

`expireTime, obsoleteVersion, ttl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheMvccEntryExtras

    public GridCacheMvccEntryExtras(GridCacheMvcc mvcc)

Constructor.

Parameters:
  `mvcc` - MVCC.

### Method Detail

#### mvcc

    public GridCacheMvcc mvcc()

Specified by:
  `mvcc` in interface `GridCacheEntryExtras`
Overrides:
  `mvcc` in class `GridCacheEntryExtrasAdapter`
Returns:
  MVCC.

#### mvcc

    public GridCacheEntryExtras mvcc(GridCacheMvcc mvcc)

Parameters:
  `mvcc` - NVCC.
Returns:
  Updated extras.

#### obsoleteVersion

    public GridCacheEntryExtras obsoleteVersion(GridCacheVersion obsoleteVer)

Parameters:
  `obsoleteVer` - Obsolete version.
Returns:
  Updated extras.

#### ttlAndExpireTime

    public GridCacheEntryExtras ttlAndExpireTime(long ttl,
                                                 long expireTime)

Parameters:
  `ttl` - TTL.
  `expireTime` - Expire time.
Returns:
  Updated extras.

#### size

    public int size()

Returns:
  Extras size.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018